#include <windows.h>
#include <degmath.h>
#include <math.h>
#include <cstdio>
#include "resource.h" 

double First, Second, Third;

BOOL CALLBACK ToolDlgProc(HWND hwnd, UINT Message, WPARAM wParam, LPARAM lParam)
{
	switch(Message)
	{
		case WM_COMMAND:
			switch(LOWORD(wParam))
			{
				case IDC_ADD:
					{
					 int len = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT2));
					 int len2 = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT4));
					 int len3 = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT22));
					 int len4 = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT23));

				char* buf;
				char* buf2;
				char* buf3;
				char* buf4;

				buf = (char*)GlobalAlloc(GPTR, len + 1); //Inclination
				buf2 = (char*)GlobalAlloc(GPTR, len2 + 1); //Latitude
				buf3 = (char*)GlobalAlloc(GPTR, len3 + 1); //Vel
				buf4 = (char*)GlobalAlloc(GPTR, len4 + 1); //Target vel
                GetDlgItemText(hwnd, IDC_TEXT2, buf, len + 1);
				GetDlgItemText(hwnd, IDC_TEXT4, buf2, len2 + 1);
				GetDlgItemText(hwnd, IDC_TEXT22, buf3, len3 + 1);
				GetDlgItemText(hwnd, IDC_TEXT23, buf4, len4 + 1);
                Third=dasin(dcos(atof(buf))/dcos(atof(buf2)));
				Second=datan(dtan(Third)-atof(buf3)/(atof(buf4)*dcos(Third)));
				First=(90 - Second) + 90;
                char strFirst[100];
				char strSecond[100];
				sprintf_s(strFirst,"%0.2f", Second);
				SetDlgItemText(hwnd, IDC_TEXT3, strFirst);
				sprintf_s(strSecond,"%0.2f", First);
				SetDlgItemText(hwnd, IDC_TEXT33, strSecond);

				if (atof(buf) < atof(buf2))
					MessageBox(hwnd, "Inclination can't be smaller than latitude.", "Error", MB_OK);
					break;

				GlobalFree(buf);
				GlobalFree(buf2);
				GlobalFree(buf3);
				GlobalFree(buf4);
					}		

				case IDC_CLOSESTDSEL:
					EndDialog(hwnd, 0);
				break;
				
				case IDC_OTHER:
					EndDialog(hwnd, 0);
					break;

				case IDC_DATACLS:
					EndDialog(hwnd, 0);
					break;

				case IDC_SPEEDSEL:
					DialogBox(GetModuleHandle(NULL), MAKEINTRESOURCE(IDD_AZIMUTH), hwnd, ToolDlgProc);
					break;

				case IDC_DISTSEL:
					DialogBox(GetModuleHandle(NULL), MAKEINTRESOURCE(IDD_CRAFTDATA), hwnd, ToolDlgProc);
					break;
			
			}
		break;

		case WM_CLOSE:
			EndDialog(hwnd, 0);
		    break;

		default:
			return FALSE;
	}
	return TRUE;
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
	LPSTR lpCmdLine, int nCmdShow)
{
	return DialogBox(hInstance, MAKEINTRESOURCE(IDD_AZSEL), NULL, ToolDlgProc);
}