#include <windows.h>
#include <degmath.h>
#include <math.h>
#include <cstdio>
#include "resource.h" 

double Second, Third;
double G=2*0.0000000000667;

BOOL CALLBACK ToolDlgProc(HWND hwnd, UINT Message, WPARAM wParam, LPARAM lParam)
{
	switch(Message)
	{
		case WM_COMMAND:
			switch(LOWORD(wParam))
			{
				case IDC_CALCVEL:
					{
					 int len = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT2));
					 int len2 = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT4));

				char* buf;
				char* buf2;

				buf = (char*)GlobalAlloc(GPTR, len + 1); //Mass
				buf2 = (char*)GlobalAlloc(GPTR, len2 + 1); //Radius
                GetDlgItemText(hwnd, IDC_TEXT2, buf, len + 1);
				GetDlgItemText(hwnd, IDC_TEXT4, buf2, len2 + 1);
                Third=sqrt(((G*atof(buf))/(atof(buf2)*1000)));
				Second=Third/1000;
                char strFirst[100];
				sprintf_s(strFirst,"%0.4f", Second);
				SetDlgItemText(hwnd, IDC_TEXT3, strFirst);

				GlobalFree(buf);
				GlobalFree(buf2);
				break;
					}		

				case IDC_CLOSESTDSEL:
					EndDialog(hwnd, 0);
				break;
				
				case IDC_OTHER:
					EndDialog(hwnd, 0);
					break;

				case IDC_DATACLS:
					EndDialog(hwnd, 0);
					break;

				case IDC_SPEEDSEL:
					DialogBox(GetModuleHandle(NULL), MAKEINTRESOURCE(IDD_ESCVEL), hwnd, ToolDlgProc);
					break;

				case IDC_DISTSEL:
					DialogBox(GetModuleHandle(NULL), MAKEINTRESOURCE(IDD_BODYDATA), hwnd, ToolDlgProc);
					break;
			
			}
		break;

		case WM_CLOSE:
			EndDialog(hwnd, 0);
		    break;

		default:
			return FALSE;
	}
	return TRUE;
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
	LPSTR lpCmdLine, int nCmdShow)
{
	return DialogBox(hInstance, MAKEINTRESOURCE(IDD_ESCSEL), NULL, ToolDlgProc);
}