#include <iostream>
#include <math.h>
#include <process.h>
#include <conio.h>
#include <degmath.h>

using namespace std;

int main ()
{

  float lat;
  float az0;
  float az2;
  float inc;
  char ch;
  float az1;
  float spd;
  float fspd;

start:
  inc = 0;
  lat = 0;
  spd = 0;
  fspd = 0;
  cout << "To calculate azimuth (degrees), enter target inclination and press enter: " << "\n";
  cin >> inc;
  cout << "\n";
  cout << "To calculate azimuth (degrees), enter departure latitude and press enter: " << "\n";
  cin >> lat;
  cout << "\n";
  if (lat > inc) goto error;
  cout << "To calculate azimuth (degrees), enter current velocity (see OrbitMFD's 'Vel' line) and press enter: " << "\n";
  cin >> spd;
  cout << "\n";
  cout << "To calculate azimuth (degrees), enter target velocity (see OrbitMFD's 'Vel' line for target vessel) and press enter: " << "\n";
  cin >> fspd;
  cout << "\n";
  az0 = dasin(dcos(inc)/dcos(lat));
  az1 = datan(dtan(az0)-spd/(fspd*dcos(az0)));
  az2 = (90 - az1) + 90;
  cout << "\n" << "\n" << "Azimuth is: " << az1 << " degrees (ascending) and " << az2 << " degrees (descending).";
  goto end;

end:
  cout << "\n" << "\n" << "\n" << "Press enter to recalculate.";
  ch = _getch();
  if (ch == 13)
  system("cls");
  goto start;

error:
  cout << "\n" << "\n" << "Can't calculate if inclination is lower than latitude.";
  goto end;

  return 0;
}