#include <windows.h>
#include <degmath.h>
#include <math.h>
#include <cstdio>
#include "resource.h" 

double First, Second, Third, Fourth, Fifth, Sixth;
double G=0.0000000000667;
double pi=3.14159;

BOOL CALLBACK ToolDlgProc(HWND hwnd, UINT Message, WPARAM wParam, LPARAM lParam)
{
	switch(Message)
	{
		case WM_COMMAND:
			switch(LOWORD(wParam))
			{
				case IDC_CALCVEL:
					{
					 int len = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT2));
					 int len2 = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT4));
					 int len3 = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT5));

				char* buf;
				char* buf2;
				char* buf3;

				buf = (char*)GlobalAlloc(GPTR, len + 1); //Mass
				buf2 = (char*)GlobalAlloc(GPTR, len2 + 1); //Radius
				buf3 = (char*)GlobalAlloc(GPTR, len3 + 1); //Siderial
                GetDlgItemText(hwnd, IDC_TEXT2, buf, len + 1);
				GetDlgItemText(hwnd, IDC_TEXT4, buf2, len2 + 1);
				GetDlgItemText(hwnd, IDC_TEXT5, buf3, len3 + 1);
                Third=atof(buf3)*60*60;
				Second=(G*atof(buf)*(Third*Third))/(4*(pi*pi));
				First=pow((Second-0.0), (1.0/3.0));
                Fourth=First/1000;
				Fifth=Fourth-atof(buf2);
				Sixth=Fifth*0.6214;
                char strFirst[100];
				char strSecond[100];
				sprintf_s(strFirst,"%0.2f", Fifth);
				SetDlgItemText(hwnd, IDC_TEXT3, strFirst);
				sprintf_s(strSecond,"%0.2f", Sixth);
				SetDlgItemText(hwnd, IDC_TEXT9, strSecond);

				GlobalFree(buf);
				GlobalFree(buf2);
				GlobalFree(buf3);
				break;
					}		

				case IDC_CLOSESTDSEL:
					EndDialog(hwnd, 0);
				break;
				
				case IDC_OTHER:
					EndDialog(hwnd, 0);
					break;

				case IDC_DATACLS:
					EndDialog(hwnd, 0);
					break;

				case IDC_SPEEDSEL:
					DialogBox(GetModuleHandle(NULL), MAKEINTRESOURCE(IDD_GEOALT), hwnd, ToolDlgProc);
					break;

				case IDC_DISTSEL:
					DialogBox(GetModuleHandle(NULL), MAKEINTRESOURCE(IDD_BODYDATA), hwnd, ToolDlgProc);
					break;
			
			}
		break;

		case WM_CLOSE:
			EndDialog(hwnd, 0);
		    break;

		default:
			return FALSE;
	}
	return TRUE;
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
	LPSTR lpCmdLine, int nCmdShow)
{
	return DialogBox(hInstance, MAKEINTRESOURCE(IDD_GEOSEL), NULL, ToolDlgProc);
}