#include <windows.h>
#include <math.h>
#include <cstdio>
#include "resource.h"

double First, Second, Third;

BOOL CALLBACK ToolDlgProc(HWND hwnd, UINT Message, WPARAM wParam, LPARAM lParam)
{
	switch(Message)
	{
		case WM_COMMAND:
			switch(LOWORD(wParam))
			{
				
				case IDC_ADD:
					{
					 int len = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT2));
					 int len2 = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT4));

				char* buf;
				char* buf2;

				buf = (char*)GlobalAlloc(GPTR, len + 1);
				buf2 = (char*)GlobalAlloc(GPTR, len2 + 1);
                GetDlgItemText(hwnd, IDC_TEXT2, buf, len + 1);
				GetDlgItemText(hwnd, IDC_TEXT4, buf2, len2 + 1);
                First=atof(buf)/atof(buf2);
                char strFirst[100];
				sprintf_s(strFirst,"%0.2f",First);
				SetDlgItemText(hwnd, IDC_TEXT3, strFirst);

				if (atof(buf2) == 0)
					MessageBox(hwnd, "Enter a number above zero.", "Error", MB_OK);
					break;

			GlobalFree(buf);
			GlobalFree(buf2);
					}

				case IDC_ADDST:
					{
					 int len3 = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT12));
					 int len4 = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT14));

				char* buf3;
				char* buf4;

				buf3 = (char*)GlobalAlloc(GPTR, len3 + 1);
				buf4 = (char*)GlobalAlloc(GPTR, len4 + 1);
                GetDlgItemText(hwnd, IDC_TEXT12, buf3, len3 + 1);
				GetDlgItemText(hwnd, IDC_TEXT14, buf4, len4 + 1);
                Second=atof(buf3)*atof(buf4);
                char strSecond[100];
				sprintf_s(strSecond,"%0.2f",Second);
				SetDlgItemText(hwnd, IDC_TEXT13, strSecond);

				if (Second == 0)
					MessageBox(hwnd, "Enter a number above zero.", "Error", MB_OK);
					break;

			GlobalFree(buf3);
			GlobalFree(buf4);
					}

				case IDC_ADDT:
					{
					 int len5 = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT22));
					 int len6 = GetWindowTextLength(GetDlgItem(hwnd, IDC_TEXT24));

				char* buf5;
				char* buf6;

				buf5 = (char*)GlobalAlloc(GPTR, len5 + 1);
				buf6 = (char*)GlobalAlloc(GPTR, len6 + 1);
                GetDlgItemText(hwnd, IDC_TEXT22, buf5, len5 + 1);
				GetDlgItemText(hwnd, IDC_TEXT24, buf6, len6 + 1);
                Third=atof(buf5)/atof(buf6);
                char strThird[100];
				sprintf_s(strThird,"%0.2f",Third);
				SetDlgItemText(hwnd, IDC_TEXT23, strThird);

				if (atof(buf6) == 0)
					MessageBox(hwnd, "Enter a number above zero.", "Error", MB_OK);
					break;
					
			GlobalFree(buf5);
			GlobalFree(buf6);
					}		

				case IDC_CLOSESTDSEL:
					EndDialog(hwnd, 0);
				    break;
				
				case IDC_OTHER:
					EndDialog(hwnd, 0);
					break;

				case IDC_CLSDST:
					EndDialog(hwnd, 0);
					break;

				case IDC_CLST:
					EndDialog(hwnd, 0);
					break;

				case IDC_SPEEDSEL:
					DialogBox(GetModuleHandle(NULL), MAKEINTRESOURCE(IDD_SPEED), hwnd, ToolDlgProc);
					break;

				case IDC_DISTSEL:
					DialogBox(GetModuleHandle(NULL), MAKEINTRESOURCE(IDD_DISTANCE), hwnd, ToolDlgProc);
					break;

				case IDC_TIMESEL:
					DialogBox(GetModuleHandle(NULL), MAKEINTRESOURCE(IDD_TIME), hwnd, ToolDlgProc);
                    break;

			}
		break;

		case WM_CLOSE:
			EndDialog(hwnd, 0);
		break;

		default:
			return FALSE;
	}
	return TRUE;
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
	LPSTR lpCmdLine, int nCmdShow)
{
	return DialogBox(hInstance, MAKEINTRESOURCE(IDD_SDTSEL), NULL, ToolDlgProc);
}